# filters.sample

The practice of performing Poisson sampling via “Dart Throwing” was introduced in the mid-1980’s by [Cook1986] and [Dippe1985], and has been applied to point clouds in other software [Mesh2009].

The sample filter performs Poisson sampling of the input `PointView`. The sampling can be performed in a single pass through the point cloud. To begin, each input point is assumed to be kept. As we iterate through the kept points, we retrieve all neighbors within a given `radius`, and mark these neighbors as points to be discarded. All remaining kept points are appended to the output `PointView`. The full layout (i.e., the dimensions) of the input `PointView` is kept in tact (the same cannot be said for filters.voxelgrid).

See also

filters.decimation and filters.voxelgrid also perform decimation.

Default Embedded Stage

This stage is enabled by default

## Options

radius
  Minimum distance between samples. [Default: 1.0]